Retrieves the user_planning_slot with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "9903d4c6-69a4-4535-8ede-c76852325284",
  "user_id": "23cb8c63-4fed-4dd3-9557-abcc4606571f",
  "user_planning_slot_type_id": "cdb5a2d3-f679-406c-bd33-1bbd0be1d900",
  "date_from": "2026-10-28T23:14:25.8097267+00:00",
  "date_to": "2026-10-28T23:14:25.8097267+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-10-28T23:14:25.8097267+00:00"
}